Bug 7316 - winbindd possibly segfaults when trying a trusted domain without inbound trust
winbindd possibly segfaults when trying a trusted domain without inbound trust
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Winbind
3.5.1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 7295
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 08:09 UTC by Stefan Metzmacher
Modified: 2010-04-16 02:35 UTC (History)
0 users

See Also:


Attachments
Patch for v3-5 (3.08 KB, patch)
2010-04-01 08:11 UTC, Stefan Metzmacher
vl: review+
Details
Patch for v3-4 (3.13 KB, patch)
2010-04-06 09:04 UTC, Stefan Metzmacher
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2010-04-01 08:09:33 UTC
If we notice that we can't contact a domain before we first try to contact it,
we crash in cm_connect_lsa() and maybe other related functions,
because we try to dereference domain->conn.cli->foo.

[2010/03/25 14:20:49.229939, 10, pid=6109] winbindd/winbindd_util.c:winbindd_can_contact_domain(1585)
  winbindd_can_contact_domain: TEST is an AD domain and we have no inbound trust.
[2010/03/25 14:20:49.229967,  0, pid=6109] lib/fault.c:fault_report(40)
  ===============================================================
[2010/03/25 14:20:49.230040,  0, pid=6109] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 6109 (3.3.10)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2010/03/25 14:20:49.230096,  0, pid=6109] lib/fault.c:fault_report(43)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2010/03/25 14:20:49.230137,  0, pid=6109] lib/fault.c:fault_report(44)
  ===============================================================
[2010/03/25 14:20:49.230172,  0, pid=6109] lib/util.c:smb_panic(1673)
  PANIC (pid 6109): internal error
[2010/03/25 14:20:49.232248,  0, pid=6109] lib/util.c:log_stack_trace(1777)
  BACKTRACE: 23 stack frames:
   #0 /usr/sbin/winbindd(log_stack_trace+0x1c) [0x5555556ef538]
   #1 /usr/sbin/winbindd(smb_panic+0xab) [0x5555556ef301]
   #2 /usr/sbin/winbindd [0x5555556d1d62]
   #3 /usr/sbin/winbindd [0x5555556d1d75]
   #4 /lib64/libc.so.6 [0x2b779cb93c30]
   #5 /usr/sbin/winbindd(pwd_get_cleartext+0x14) [0x5555557501dc]
   #6 /usr/sbin/winbindd(cm_connect_lsa+0x94) [0x55555560fe78]
   #7 /usr/sbin/winbindd(winbindd_lookup_sids+0x89) [0x5555556159f8]
   #8 /usr/sbin/winbindd [0x55555561295c]
   #9 /usr/sbin/winbindd [0x555555615dfe]
   #10 /usr/sbin/winbindd [0x555555617f33]
   #11 /usr/sbin/winbindd [0x5555555effbe]
   #12 /usr/sbin/winbindd [0x5555555e01bf]
   #13 /usr/sbin/winbindd [0x5555555e0e97]
   #14 /usr/sbin/winbindd [0x5555555e215c]
   #15 /usr/sbin/winbindd [0x55555562e39d]
   #16 /usr/sbin/winbindd [0x555555623aa0]
   #17 /usr/sbin/winbindd [0x55555561f6b6]
   #18 /usr/sbin/winbindd [0x5555555d990b]
   #19 /usr/sbin/winbindd [0x5555555dac6e]
   #20 /usr/sbin/winbindd(main+0xd2d) [0x5555555dbd8f]
   #21 /lib64/libc.so.6(__libc_start_main+0xf4) [0x2b779cb81184]
   #22 /usr/sbin/winbindd [0x5555555d87c9]
Comment 1 Stefan Metzmacher 2010-04-01 08:11:55 UTC
Created attachment 5585 [details]
Patch for v3-5
Comment 2 Karolin Seeger 2010-04-01 08:23:28 UTC
Pushed to v3-5-test as this is a critical one.
Re-assigning to Metze to check whether 3.4 is also affected.
Comment 3 Stefan Metzmacher 2010-04-06 09:04:14 UTC
Created attachment 5599 [details]
Patch for v3-4
Comment 4 Stefan Metzmacher 2010-04-06 09:14:39 UTC
This depends on the patches from bug 7295 for v3-4.
Comment 5 Stefan Metzmacher 2010-04-13 15:05:08 UTC
Karolin, please pick this for the release
Comment 6 Karolin Seeger 2010-04-16 02:35:34 UTC
Pushed, closing out bug report.
Thanks!